/* Snowlog - An Apache logfile browser/analyzer.
 * 
 * Copyright 2004 Oliver Feiler <kiza@kcore.de>
 * http://snowlog.kcore.de/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as   
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */
   
#include "config.h"

#ifndef INTERNALS_H
#define INTERNALS_H

enum {
	ENTRY_TYPE_HOST,
	ENTRY_TYPE_REQUEST
};

struct logentry * NewLogentryStruct (void);
struct host * NewHostStruct (void);
struct regexp * NewRegexpStruct (void);
struct displaystats * NewDisplayStatsStruct (void);
struct displayitem ** DisplayItemsFromHosts (struct host ** hosts,
											 struct displaystats * stats,
											 int filter_to_use);
void FreeDisplayList (struct displayitem ** list, int num_items);
struct filter * NewFilterStruct (void);
struct filter_rule * NewFilterRuleStruct (void);
void StringWithSmartBytes (char * string, int size, unsigned long long bytes);
void ReplaceCharFromString (char * string, char remove, char replace);
char * URLDecodeString (char * string);

#endif
