/* Snowlog - An Apache logfile browser/analyzer.
 * 
 * Copyright 2004 Oliver Feiler <kiza@kcore.de>
 * http://snowlog.kcore.de/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as   
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */
   
#ifndef UI_SUPPORT_H
#define UI_SUPPORT_H

enum {
	SNOW_COLOR_NONE,
	SNOW_COLOR_RED,
	SNOW_COLOR_GREEN,
	SNOW_COLOR_ORANGE,
	SNOW_COLOR_BLUE,
	SNOW_COLOR_MAGENTA,
	SNOW_COLOR_CYAN,
	SNOW_COLOR_GREY
};

struct snow_stringhash;

void InitCurses (void);
void ShutdownCurses (void);
void UISupportDrawHeader (const char * headerstring);
void UIStatus (const char * text, int delay, int warning, int ypos);
void UISupportDrawBox (int x1, int y1, int x2, int y2);
void SnowClearScreen (int * forceredraw);
void SnowClearLine (int y);
void SnowStartColors (void);
void UISupportURLJump (const char * url);
void Help (void);
struct snow_stringhash * snow_stringhash_init (unsigned const table_size);
void snow_stringhash_free (struct snow_stringhash * const hash);
char const * snow_stringhash_unique (struct snow_stringhash * const hash,
                                     char const * const string);
void snow_stringhash_dump (struct snow_stringhash * const hash);

#endif
